VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
ITestFactory Class Referenceabstract

Class factory that any testable module defines for creating tests that will be executed from the host. More...

`#include <itest.h>`

Inheritance diagram for ITestFactory:

## Public Member Functions
virtual tresult | createTests (FUnknown *context, ITestSuite *parentSuite)=0
| create the tests that this module provides.
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Class factory that any testable module defines for creating tests that will be executed from the host.

- [plug imp]

## Member Function Documentation

## ◆ createTests()

virtual tresult createTests | ( | FUnknown * | context,
|  | ITestSuite * | parentSuite )
| pure virtual

create the tests that this module provides.

Parameters

  context | :
  parentSuite | : the test suite that the newly created tests shall register with.

## Member Data Documentation

## ◆ iid

const FUID iid
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.